<?xml version="1.0"?>
<document>

  <properties>
    <title>Maven Ant Plug-in Goals</title>
    <author email="dion@multitask.com.au">dIon Gillard</author>
  </properties>

  <body>
    <section name="Goals">
      <table>
        <tr><th>Goal</th><th>Description</th></tr>
        <tr>
          <td>fo</td>
          <td>
            This simply pre-requisites the <code>fo:fo</code> goal.
          </td>
        </tr>
        <tr>
          <td>fo:fo</td>
          <td>
            Generates an fo xml document from the <code>navigation.xml</code>
            file supplied as part of the documentation. Please note that as
            yet, no sanity check is done to make sure this file exists.
          </td>
        </tr>
        <tr>
          <td>pdf</td>
          <td>
            This is the default goal of the plugin and simply pre-requisites
            the <code>pdf:pdf</code> goal.
          </td>
        </tr>
        <tr>
          <td>pdf:pdf</td>
          <td>
            Generates a PDF document containing all project documentation.
            The PDF is generated from the .fo file generated in the <code>fo:fo</code>
            goal.
          </td>
        </tr>
      </table>
    </section>
 </body>
</document>
